LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
ContainerEvent Struct Referencepublished

This event is fired when an element is inserted in a container. More...

`import"ContainerEvent.idl";`

Inheritance diagram for ContainerEvent:

## Public Attributes
any | Accessor
| It contains the accessor to the element which is inserted or removed. More...
any | Element
| This contains the element that was inserted or removed. More...
any | ReplacedElement
| This contains the replaced element. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

This event is fired when an element is inserted in a container.

See Also
  XContainerListener

## Member Data Documentation

any Accessor

It contains the accessor to the element which is inserted or removed.

The type and the value of the accessor depends on the service.

any Element

This contains the element that was inserted or removed.

any ReplacedElement

This contains the replaced element.

The documentation for this struct was generated from the following file:

- com/sun/star/container/ContainerEvent.idl